WAVEPCMDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface WAVEPCMDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject, SoundDescriptor, WAVEPCMDescriptor

      public interface WAVEPCMDescriptor
      extends WAVEPCMDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataOffset()`
    `void` | `setDataOffset(Integer dataOffset)`

    - ### Methods inherited from interface tv.amwa.maj.model.WAVEPCMDescriptor

      `areAllPeakEnvelopePropertiesPresent, clone, getAverageBytesPerSecond, getBlockAlign, getChannelAssignment, getPeakChannelCount, getPeakEnvelopeBlockSize, getPeakEnvelopeData, getPeakEnvelopeDataPosition, getPeakEnvelopeDataSize, getPeakEnvelopeFormat, getPeakEnvelopeTimestamp, getPeakEnvelopeVersion, getPeakFrameCount, getPeakOfPeaksPosition, getPointsPerPeakValue, getSequenceOffset, readPeakEnvelopeData, setAverageBytesPerSecond, setBlockAlign, setChannelAssignment, setPeakChannelCount, setPeakEnvelopeBlockSize, setPeakEnvelopeData, setPeakEnvelopeDataPosition, setPeakEnvelopeFormat, setPeakEnvelopeTimestamp, setPeakEnvelopeVersion, setPeakFrameCount, setPeakOfPeaksPosition, setPointsPerPeakValue, setSequenceOffset, writePeakEnvelopeData`

    - ### Methods inherited from interface tv.amwa.maj.model.SoundDescriptor

      `getAudioReferenceLevel, getAudioSampleRate, getChannelCount, getDialNorm, getElectrospatialFormulation, getLocked, getQuantizationBits, getSoundCompression, isLocked, setAudioReferenceLevel, setAudioSampleRate, setChannelCount, setDialNorm, setElectrospatialFormulation, setIsLocked, setQuantizationBits, setSoundCompression`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getDataOffset

          @Int32
          int getDataOffset()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setDataOffset

          void setDataOffset(@Int32
                             Integer dataOffset)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.